<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>HTML - Forms, Tables and Semantic HTML</title>
  </head>

  <body>
    <!-- This is header section -->
    <header>
      <h2 align="center">HTML Entities</h2>
    </header>
    <main>
      <!-- This is the start of table section -->
      <section>
        <p>
          <em
            >Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed
            up with HTML code.
          </em>
        </p>
        <table border="2">
          <thead>
            <tr>
              <th colspan="2">Entity</th>
              <th rowspan="2">Description</th>
            </tr>
            <tr>
              <th>Symbol</th>
              <th>Name/Number</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>&lt;</td>
              <td>lt</td>
              <td>less than</td>
            </tr>
            <tr>
              <td>&gt;</td>
              <td>gt</td>
              <td>greater than</td>
            </tr>
            <tr>
              <td>&#8369;</td>
              <td>#8369</td>
              <td>peso sign</td>
            </tr>
            <tr>
              <td>&amp;</td>
              <td>amp</td>
              <td>ampersand</td>
            </tr>
            <tr>
              <td>&quot;</td>
              <td>quot</td>
              <td>double quotation mark</td>
            </tr>
            <tr>
              <td>&apos;</td>
              <td>apos</td>
              <td>single quotation mark (apostrophe)</td>
            </tr>
            <tr>
              <td>&ntilde;</td>
              <td>ntilde</td>
              <td>Lower Tilde</td>
            </tr>
            <tr>
              <td>&Ntilde;</td>
              <td>Ntilde</td>
              <td>Upper Tilde</td>
            </tr>
          </tbody>
          <tfoot>
            <tr>
              <th colspan="3">List of HTML Entities</th>
            </tr>
          </tfoot>
        </table>
      </section>
      <!-- This is the end of table section -->

      <!-- This is that start of HTML form section -->
      <section>
        <h2 align="center">HTML Form</h2>
        <p><em>Input elements that make up a form</em></p>

        <!-- Text inputs -->
        <form>
          <label for="fullname">Full name</label>
          <br />
          <input
            type="text"
            name="fullname"
            id="fullname"
            required
            autocomplete="on"
          />
          <br /><br />

          <label for="birthdate">Birth date:</label><br />
          <input
            type="date"
            name="birthdate"
            id="birthdate"
            required
            autocomplete="on"
          /><br /><br />

          <label for="age">Age:</label><br />
          <input
            type="number"
            name="age"
            id="age"
            required
            autocomplete="on"
          /><br /><br />

          <!-- Dropdown -->
          <label for="gender">Gender:</label><br />
          <select name="gender" id="gender" required>
            <option value="male">Male</option>
            <option value="female">Female</option></select
          ><br /><br />

          <!-- Text area -->
          <label for="suggestion">Suggestions:</label><br />
          <textarea
            name="suggestion"
            id="suggestion"
            cols="50"
            rows="5"
            placeholder="Enter text here"
            autocomplete="on"
          ></textarea
          ><br /><br />

          <!-- Radio button -->
          <label for="status">Civil status:</label><br />
          <input type="radio" name="status" value="single" id="single" /><label
            for="single"
            >Single</label
          ><br />
          <input
            type="radio"
            name="status"
            value="married"
            id="married"
          /><label for="married">Married</label><br /><br />

          <!-- Checkbox -->
          <input type="checkbox" name="job1" value="developer" id="developer" />
          <label for="developer">Developer</label><br />
          <input type="checkbox" name="job2" value="student" id="student" />
          <label for="student">Student</label><br />
          <input type="checkbox" name="job3" value="manager" id="manager" />
          <label for="manager">Manager</label><br /><br />

          <!-- Button -->
          <button>Submit</button>
          <button type="reset">Clear</button>
        </form>
      </section>
    </main>
  </body>
</html>
